Skip to main content
POST
/
v5
/
clientMgmt
/
business
Save a business
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/business \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "business": {
    "name": "<string>",
    "bizType": "CONSULTANT",
    "id": 123,
    "firstName": "<string>",
    "lastName": "<string>",
    "showFirstLastName": true,
    "showName": true,
    "email": "<string>",
    "showEmail": true,
    "phoneWork": "<string>",
    "showPhoneWork": true,
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "showAddress": true,
    "invoicePrefix": "<string>",
    "status": "ACTIVE",
    "invoiceClientInfoDefaults": {
      "showClientEmail": true,
      "showClientName": true,
      "showClientBusinessName": true,
      "showClientAddress": true,
      "showClientPhoneWork": true
    }
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

business object

business
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object